﻿namespace HeuristicLab.Problems.ProgramSynthesis {
  using System.Collections;
  using System.Collections.Generic;

  public interface IPushStack : IEnumerable {
    bool IsEmpty { get; }
    bool IsEnabled { get; set; }
    int Count { get; }

    void Clear();

    IEnumerable<string> AsStrings();
    IEnumerable<object> AsObjects();
  }
}
